REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single Reminder record by its Id.
{ "BusinessId": 123, "BusinessName": "<string>", "Name": "<string>", "ForAllContacts": true, "ForAllMembers": true, "ForAllChildLocations": true, "CoworkerId": 123, "Tariffs": [ 123 ], "ReminderType": 123, "ReminderDate": "<string>", "DaysAfterSignup": 123, "ProductId": 123, "ProductName": "<string>", "SurveyId": 123, "SurveyName": "<string>", "DaysAfterRenewal": 123, "DaysBeforeRenewal": 123, "ReminderAction": 123, "Email": "<string>", "CannedResponseId": 123, "CannedResponseName": "<string>", "NextProcessTime": "<string>", "Resources": [ 123 ], "OnlySendToTeamPayingMembers": true, "OnlySendToActiveCoworkers": true, "BlockingPeriodMinutes": 123, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
Reminder-Read
curl -X GET \ "https://spaces.nexudus.com/api/crm/reminders/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "BusinessName": null, "Name": "", "ForAllContacts": false, "ForAllMembers": false, "ForAllChildLocations": false, "CoworkerId": null, "Tariffs": [], "ReminderType": 0, "ReminderDate": null, "DaysAfterSignup": null, "ProductId": null, "ProductName": null, "SurveyId": null, "SurveyName": null, "DaysAfterRenewal": null, "DaysBeforeRenewal": null, "ReminderAction": 0, "Email": null, "CannedResponseId": null, "CannedResponseName": null, "NextProcessTime": null, "Resources": [], "OnlySendToTeamPayingMembers": false, "OnlySendToActiveCoworkers": false, "BlockingPeriodMinutes": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "Reminder Example", "LocalizationDetails": null, "CustomFields": null }